/* CSS Reset */

/* 
    - The "margin" property changes the amount of space between the "border" and it's surrounding elements. This is commonly used to create space between elements.
	- Even though a "border" property of an element does not have a value and is not visible in the browser, it serves as a basis to create space between elements.
	- The "padding" property changes the amount of space between the "border" and "content" of an element. This is commonly used to position contents of an element. 
    - All HTML elements have default values for their "margin" and "padding" properties. Giving them the value of "0" makes it easier for us to manipulate the sizes and positioning of elements.
	- The "box-sizing" property defines how the width and height of an element are calculated.
	. This will allow us to control the measurements of elements better.
	- The value "border-box" includes the "padding" and "border" properties of an element to the total height and width in it's computation.
*/

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Open Sans', sans-serif;
}

nav {
    padding: 0.8rem;
    margin-bottom: 2rem;
    border-bottom: 1px solid gray;
    list-style-type: none;
}

nav .nav, nav .nav-logo {
   /* shorthand */
    margin: 0.5rem;
    /* margin-top: 0.5rem;
    margin-right: 0.5rem;
    margin-bottom: 0.5rem;
    margin-left: 0.5rem; */

    /* changes elements to inline elements */
    display: inline;
}

#intro {
    /* creates a space between the contents of the intro section */
    padding-left: 10%;
    padding-right: 10%;
    padding-top: 2rem;
    padding-bottom: 3rem;
    text-align: center;
}

.header {
    text-align: center;
}

#intro h2, #intro p {
    /* creates space between the contents of the intro section */
    margin-bottom: 1rem;
}

#intro button {
    color: white;
    font-weight: bold;
    background-color: #c2195b;
    border-radius: 25px;
    font-size: 1rem;
    padding: 1rem;
}

#succeed-info {
    padding: 2rem 10% 3rem;
}

#succeed-info h2 {
    margin-bottom: 1rem;
}

#succeed-info h3 {
    text-align: center;
    margin-bottom: 1rem;
}

#succeed-info .card {
    /* allows the cards to appear beside each other */
    display: inline-block;
    /* aligns the elements with the tallest element in line */
    /* this is used with "inline-block" */
    vertical-align: top;
    /* allows cards to have equal height that adjust with the content */
    min-height: 175px;
    width: 30%;
    margin-left: 0.5rem;
    margin-right: 0.5rem;
}

footer {
    padding: 0.7rem;
}

footer span {
    margin: 0 0.5rem;
    /* margin-left: 0.5rem;
    margin-right: 0.5rem; */
}

#pre-footer {
    background-color: #002540;
    color: #fff;
    padding: 1.5rem;
}

#pre-footer #pre-footer-details {
    display: inline-block;
    padding: 0 5rem;
    vertical-align: top;
}

#pre-footer #pre-footer-details:nth-child(1) {
    padding-left: 0rem;
}

#pre-footer #pre-footer-details:nth-child(3) {
    display: inline-block;
    vertical-align: bottom;
}

#pre-footer h3, #pre-footer p {
    margin-bottom: 0.5rem;
}